import { InvoiceParticipantAddress } from "@/contexts/invoicing/domain";
import { IInvoicingContext } from "@/contexts/invoicing/intrastructure/InvoicingContext";
import { ICreateInvoice_AddressParticipant_Response_DTO } from "@shared/contexts";

export const InvoiceParticipantAddressPresenter = async (
  address: InvoiceParticipantAddress,
  context: IInvoicingContext,
): Promise<ICreateInvoice_AddressParticipant_Response_DTO> => {
  return {
    id: address.id.toString(),
    street: address.street.toString(),
    city: address.city.toString(),
    postal_code: address.postalCode.toString(),
    province: address.province.toString(),
    country: address.country.toString(),
    email: address.email.toString(),
    phone: address.phone.toString(),
  };
};
